/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#if !defined(AFX_PROGRESSDLG_H__5A971E8E_D008_4920_93E9_F45DD0D1E88F__INCLUDED_)
#define AFX_PROGRESSDLG_H__5A971E8E_D008_4920_93E9_F45DD0D1E88F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"

/////////////////////////////////////////////////////////////////////////////
// CGLMeshProgress ダイアログ

class CGLMeshProgDlg : public CDialog
{
	DECLARE_DYNAMIC(CGLMeshProgDlg)

public:
	CGLMeshProgDlg(CWnd* pParent = NULL);
	virtual ~CGLMeshProgDlg();

// ダイアログ データ
	enum { IDD = IDD_PROG_MESH };

protected:
	virtual void OnCancel();
	virtual void OnOK();

	virtual void DoDataExchange(CDataExchange* pDX);
	virtual void PostNcDestroy();

	DECLARE_MESSAGE_MAP()
public:
	// メッシュ化の進捗を表す
	CProgressCtrl m_meshProg;
	// メッシュ化の進捗を表す文字列
	CString m_strMeshProg;
};
#endif
